Bug 965417 - Review Request: editorconfig-core-python - Clone of EditorConfig core written in Python
Review Request: editorconfig-core-python - Clone of EditorConfig core written...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW 965431
  Show dependency treegraph
 
Reported: 2013-05-21 04:30 EDT by Guillaume Kulakowski
Modified: 2016-06-13 03:02 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-13 03:02:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Guillaume Kulakowski 2013-05-21 04:30:10 EDT
Clone of EditorConfig core written in Python used by some plugins like Gedit (in my todo-list) or vim (in my todo-list).

---

SPEC:
https://projects.llaumgui.com/p/rpmbuild/source/tree/master/SPECS/editorconfig-core-python.spec

SRPM:
http://llaumgui.fedorapeople.org/review/editorconfig-core-python/editorconfig-core-python-0.11.1-1.fc18.src.rpm

rpmlint:
editorconfig-core-python.noarch: W: no-manual-page-for-binary editorconfig.py
2 packages and 0 specfiles checked; 0 errors, 1 warnings.
Comment 1 Mario Blättermann 2013-06-03 14:39:25 EDT
Would be nice to have file links which are directly downloadable. Actually reviewers don't want to click through a website to get the plain spec file.

I'm not sure if we have a real Python module here which has to be named accordingly:
http://fedoraproject.org/wiki/Packaging:NamingGuidelines#Addon_Packages_.28python_modules.29

Please remove the unneeded line in the file header (the sitearch one).

"Requires: python" should be unneeded. Check the packages with "rpm -qp --provides" if this is picked up automatically by rpm.
Comment 2 Fedora End Of Life 2013-12-21 08:38:46 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Michael Schwendt 2014-01-09 17:07:45 EST
> I'm not sure if we have a real Python module here 

Well, it is a Python Module with a public API *and* an executable.

One could say this is "a program" named "EditorConfig" (upstream name) and package it as "editorconfig" in a single package. One could also make that the base package name and put the language specific APIs into subpackages. The web page tells:

 | Currently there is a C library and a Python library, and a Java binding
 | for the Python library.

The Python Module is called "EditorConfig Python Core":

   http://pydocs.editorconfig.org/en/latest/

For Fedora, naming it "editorconfig-core-python" does not adhere to current guidelines, because there is no python- prefix.

The conditional Python 3 build currently specifies the name "python3-editorconfig-core-python", which doesn't follow the guidelines either.

The spec file is untested, however, since tags must start in the first column:

  error: line 25: Unknown tag:     BuildRequires:  python3-devel

And fixing that results in a %build failure.
Comment 4 William Moreno 2015-07-27 13:45:09 EDT
Any update here?

Can I take the review?
Comment 5 Upstream Release Monitoring 2016-01-16 21:15:11 EST
barracks510's scratch build of editorconfig-0.12.0-1.fc23.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12584257
Comment 6 Upstream Release Monitoring 2016-01-16 21:28:01 EST
barracks510's scratch build of editorconfig-0.12.0-1.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12584281
Comment 7 Matthias Runge 2016-06-13 03:02:10 EDT
Please re-open, when there's more time.

Note You need to log in before you can comment on or make changes to this bug.